﻿using System;
using System.Windows.Controls;
using Syncfusion.Windows.Controls.Gantt;
using System.Collections.ObjectModel;
using System.Windows.Input;
using Syncfusion.Windows.Controls.Gantt.Chart;

namespace Predecessors
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow
    {
        public MainWindow()
        {
            InitializeComponent();
            this.Gantt.Loaded += new System.Windows.RoutedEventHandler(Gantt_Loaded);
        }

        void Gantt_Loaded(object sender, System.Windows.RoutedEventArgs e)
        {
            GanttChart chart = this.Gantt.FindName<GanttChart>("PART_GanttChart");
            if (chart != null)
            {
                chart.IsEnabled = false;
            }
            this.Gantt.GanttGrid.ReadOnly = true;
        }
    }
}
